Bug 1230274 - Review Request: mpssh - Parallel ssh tool
Summary: Review Request: mpssh - Parallel ssh tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Backus
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-10 14:15 UTC by Ingvar Hagelund
Modified: 2015-08-03 04:29 UTC (History)
2 users (show)

Fixed In Version: mpssh-1.3.3-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-02 19:30:03 UTC
Type: ---
jeff.backus: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ingvar Hagelund 2015-06-10 14:15:24 UTC
Spec URL: http://users.linpro.no/ingvar/mpssh/mpssh.spec
SRPM URL: http://users.linpro.no/ingvar/mpssh/f22/src/mpssh-1.3.3-1.fc22.src.rpm
Description: Parallel ssh tool. It is similar to, but different from pssh, cssh, etc
Fedora Account System Username: ingvar

I found that mpssh is not available for Fedora. We use it in production, and as it is generally available as free software, wrapping it for Fedora would be a good thing.

There is a yum repo here: http://users.linpro.no/ingvar/mpssh/mpssh.repo

Comment 1 Jeff Backus 2015-06-17 02:26:22 UTC
Hi Ingvar,

Package looks good, for the most part. Found the following major issues:
* Please use the license file provided, ./debian/copyright, instead of extracting from the code.
* Please mark the license file with the %license macro instead of %doc. See:
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text
* Source URL does not comply with guidelines:
  https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Github
* Please provide Koji scratch builds for all supported releases (i.e. F21, F22, Rawhide)
* Build ignores compiler flags. The Makefile overrides CFLAGS and LDFLAGS.
* Seems to work? I was unable to actually get it to execute remote commands...

Formal review below.

Regards,
Jeff


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)". Detailed output of licensecheck in
     /mnt/storage/homes/jeff/tmp/reviews/mpssh/review-
     mpssh/licensecheck.txt
[!]: %build honors applicable compiler flags or justifies otherwise.
     Makefile overrides CFLAGS and LDFlags.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
     See notes above
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
     Didn't crash, but couldn't get to behave as advertised...
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
     Koji builds?
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
     Need to add -p to install command.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mpssh-1.3.3-1.fc22.i686.rpm
          mpssh-1.3.3-1.fc22.src.rpm
mpssh.i686: W: manual-page-warning /usr/share/man/man1/mpssh.1.gz 70: warning: macro `list-type-stack0' not defined
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: mpssh-debuginfo-1.3.3-1.fc22.i686.rpm
mpssh-debuginfo.i686: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
mpssh-debuginfo.i686: E: debuginfo-without-sources
mpssh.i686: W: manual-page-warning /usr/share/man/man1/mpssh.1.gz 70: warning: macro `list-type-stack0' not defined
2 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
mpssh (rpmlib, GLIBC filtered):
    libc.so.6
    openssh
    rtld(GNU_HASH)



Provides
--------
mpssh:
    mpssh
    mpssh(x86-32)



Source checksums
----------------
https://github.com/ndenev/mpssh/archive/1.3.3.tar.gz :
  CHECKSUM(SHA256) this package     : 510e11c3e177a31c1052c8b4ec06357c147648c86411ac3ed4ac814d0d927f2f
  CHECKSUM(SHA256) upstream package : 510e11c3e177a31c1052c8b4ec06357c147648c86411ac3ed4ac814d0d927f2f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n mpssh
Buildroot used: fedora-22-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Ingvar Hagelund 2015-06-24 13:13:21 UTC
Jeff wrote:
> * Please use the license file provided, ./debian/copyright, instead of 
>   extracting from the code.

Fixed

> * Please mark the license file with the %license macro instead of %doc.

Fixed

> * Source URL does not comply with guidelines:

Fixed 

> * Please provide Koji scratch builds for all supported releases (i.e. F21, F22, Rawhide)

Scratch builds:

rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=10197639
f23:     http://koji.fedoraproject.org/koji/taskinfo?taskID=10197647
f22:     http://koji.fedoraproject.org/koji/taskinfo?taskID=10197657
f21:     http://koji.fedoraproject.org/koji/taskinfo?taskID=10197665
epel7:   http://koji.fedoraproject.org/koji/taskinfo?taskID=10197672
epel6:   http://koji.fedoraproject.org/koji/taskinfo?taskID=10197675
epel5:   http://koji.fedoraproject.org/koji/taskinfo?taskID=10197561

> * Build ignores compiler flags. The Makefile overrides CFLAGS and LDFLAGS.

Patched the Makefile, so it does not set LDFLAGS, and sets CFLAGS like this.

CFLAGS += -Wall -DSSHPATH=\"$(SSHPATH)\" -DSCPPATH=\"$(SCPPATH)\"

Is this good enough?

> * Seems to work? I was unable to actually get it to execute remote commands...

Works, at least for me:

$ cat test_hosts
veierland
login

$ mpssh -f test_hosts -v "whoami; hostname -s" 
Reading hosts from : test_hosts
MPSSH - Mass Parallel Ssh Ver.1.3.3
(c)2005-2013 Nikolay Denev <ndenev@gmail.com>

  [*] read (2) hosts from the list
  [*] executing "whoami; hostname -s" as user "ingvar"
  [*] verbose mode enabled
  [*] spawning 2 parallel ssh sessions

ingvar@veierland -> ingvar
ingvar@veierland -> veierland
ingvar@    login -> ingvar
ingvar@    login -> login

  Done. 2 hosts processed.

Comment 4 Jeff Backus 2015-06-25 02:29:26 UTC
(In reply to Ingvar Hagelund from comment #2)
> Jeff wrote:
> > * Please use the license file provided, ./debian/copyright, instead of 
> >   extracting from the code.
> 
> Fixed

Looks good, thanks!

> > * Please mark the license file with the %license macro instead of %doc.
> 
> Fixed

Looks good.

> > * Source URL does not comply with guidelines:
> 
> Fixed 

Looks good.

> > * Please provide Koji scratch builds for all supported releases (i.e. F21, F22, Rawhide)
> 
> Scratch builds:
> 
> rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=10197639
> f23:     http://koji.fedoraproject.org/koji/taskinfo?taskID=10197647
> f22:     http://koji.fedoraproject.org/koji/taskinfo?taskID=10197657
> f21:     http://koji.fedoraproject.org/koji/taskinfo?taskID=10197665
> epel7:   http://koji.fedoraproject.org/koji/taskinfo?taskID=10197672
> epel6:   http://koji.fedoraproject.org/koji/taskinfo?taskID=10197675
> epel5:   http://koji.fedoraproject.org/koji/taskinfo?taskID=10197561

All look good.

> > * Build ignores compiler flags. The Makefile overrides CFLAGS and LDFLAGS.
> 
> Patched the Makefile, so it does not set LDFLAGS, and sets CFLAGS like this.
> 
> CFLAGS += -Wall -DSSHPATH=\"$(SSHPATH)\" -DSCPPATH=\"$(SCPPATH)\"
> 
> Is this good enough?

Yes, looks good. An alternative to creating a patch is to use sed to scrub the Makefile. Not asking you to do so, just an FYI.

> > * Seems to work? I was unable to actually get it to execute remote commands...
> 
> Works, at least for me:
> 
> $ cat test_hosts
> veierland
> login
> 
> $ mpssh -f test_hosts -v "whoami; hostname -s" 
> Reading hosts from : test_hosts
> MPSSH - Mass Parallel Ssh Ver.1.3.3
> (c)2005-2013 Nikolay Denev <ndenev@gmail.com>
> 
>   [*] read (2) hosts from the list
>   [*] executing "whoami; hostname -s" as user "ingvar"
>   [*] verbose mode enabled
>   [*] spawning 2 parallel ssh sessions
> 
> ingvar@veierland -> ingvar
> ingvar@veierland -> veierland
> ingvar@    login -> ingvar
> ingvar@    login -> login
> 
>   Done. 2 hosts processed.

Thanks for the clarification. Works now. Issue was between the keyboard and the chair.

Thanks for addressing my previous concerns. Package looks good. Only new-ish concern I'll raise is that you have a couple of install commands without -p to preserve timestamps. I apologize, I mentioned it in the body of the review but I forgot to list it in the highlights last time. As this is under the SHOULD category, I'll give you the option of fixing it but I won't require it. Just let me know one way or the other.

Regards,
Jeff

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)". Detailed output of licensecheck in
     /mnt/storage/homes/jeff/tmp/reviews/mpssh/review-
     mpssh/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
     Package is also for EPEL.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
     Need to add -p to install command.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mpssh-1.3.3-2.fc22.i686.rpm
          mpssh-1.3.3-2.fc22.src.rpm
mpssh.i686: W: manual-page-warning /usr/share/man/man1/mpssh.1.gz 70: warning: macro `list-type-stack0' not defined
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: mpssh-debuginfo-1.3.3-2.fc22.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
mpssh.i686: W: manual-page-warning /usr/share/man/man1/mpssh.1.gz 70: warning: macro `list-type-stack0' not defined
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
mpssh (rpmlib, GLIBC filtered):
    libc.so.6
    openssh-clients
    rtld(GNU_HASH)



Provides
--------
mpssh:
    mpssh
    mpssh(x86-32)



Source checksums
----------------
https://github.com/ndenev/mpssh/archive/39b7ceece0e3daf675444ec711efd9fc534c100a/mpssh-39b7ceece0e3daf675444ec711efd9fc534c100a.tar.gz :
  CHECKSUM(SHA256) this package     : 136c629ea8af2419925ac92ed55783a5d81f7b89562686d48256f79db6a75b05
  CHECKSUM(SHA256) upstream package : 136c629ea8af2419925ac92ed55783a5d81f7b89562686d48256f79db6a75b05


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n mpssh
Buildroot used: fedora-22-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Ingvar Hagelund 2015-06-25 07:36:04 UTC
(In reply to Jeff Backus from comment #4)
> (In reply to Ingvar Hagelund from comment #2)
> > Jeff wrote:
>
> Thanks for addressing my previous concerns. Package looks good. Only new-ish
> concern I'll raise is that you have a couple of install commands without -p
> to preserve timestamps. I apologize, I mentioned it in the body of the
> review but I forgot to list it in the highlights last time. As this is under
> the SHOULD category, I'll give you the option of fixing it but I won't
> require it. Just let me know one way or the other.

I added this, and uploaded updated specfile and .src.rpm at http://users.linpro.no/ingvar/mpssh/, though without bumping the release nor building new packages. Works fine locally, though.

Are we done then? Everything clear? :-)

Ingvar

Comment 6 Jeff Backus 2015-06-26 02:19:50 UTC
(In reply to Ingvar Hagelund from comment #5)
> I added this, and uploaded updated specfile and .src.rpm at
> http://users.linpro.no/ingvar/mpssh/, though without bumping the release nor
> building new packages. Works fine locally, though.
> 
> Are we done then? Everything clear? :-)
> 
> Ingvar

Looks good. Verified build is okay on this end, too. Thanks for making that last change! Package PASSES.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)". Detailed output of licensecheck in
     /mnt/storage/homes/jeff/tmp/reviews/mpssh/review-
     mpssh/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
     Package supports EPEL.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mpssh-1.3.3-2.fc22.i686.rpm
          mpssh-1.3.3-2.fc22.src.rpm
mpssh.i686: W: manual-page-warning /usr/share/man/man1/mpssh.1.gz 70: warning: macro `list-type-stack0' not defined
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: mpssh-debuginfo-1.3.3-2.fc22.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
mpssh.i686: W: manual-page-warning /usr/share/man/man1/mpssh.1.gz 70: warning: macro `list-type-stack0' not defined
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
mpssh (rpmlib, GLIBC filtered):
    libc.so.6
    openssh-clients
    rtld(GNU_HASH)



Provides
--------
mpssh:
    mpssh
    mpssh(x86-32)



Source checksums
----------------
https://github.com/ndenev/mpssh/archive/39b7ceece0e3daf675444ec711efd9fc534c100a/mpssh-39b7ceece0e3daf675444ec711efd9fc534c100a.tar.gz :
  CHECKSUM(SHA256) this package     : 136c629ea8af2419925ac92ed55783a5d81f7b89562686d48256f79db6a75b05
  CHECKSUM(SHA256) upstream package : 136c629ea8af2419925ac92ed55783a5d81f7b89562686d48256f79db6a75b05


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n mpssh
Buildroot used: fedora-22-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Ingvar Hagelund 2015-07-01 10:35:38 UTC
New Package SCM Request
=======================
Package Name: mpssh
Short Description: Parallel ssh tool
Upstream URL: https://github.com/ndenev/mpssh
Owners: ingvar
Branches: f21 f22 el6 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2015-07-02 18:38:54 UTC
Git done (by process-git-requests).

Comment 9 Ingvar Hagelund 2015-07-03 08:51:02 UTC
Package Change Request
======================
Package Name: mpssh
Owners: ingvar
New Branches: el5

Package works fine on el5 too, and I could find a use for it on el5, at least for myself.

Comment 10 Fedora Update System 2015-07-03 09:10:18 UTC
mpssh-1.3.3-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mpssh-1.3.3-2.fc22

Comment 11 Fedora Update System 2015-07-03 09:10:24 UTC
mpssh-1.3.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mpssh-1.3.3-2.fc21

Comment 12 Fedora Update System 2015-07-03 09:10:34 UTC
mpssh-1.3.3-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mpssh-1.3.3-2.el7

Comment 13 Fedora Update System 2015-07-03 09:10:42 UTC
mpssh-1.3.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mpssh-1.3.3-2.el6

Comment 14 Gwyn Ciesla 2015-07-05 04:01:16 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2015-07-16 13:48:11 UTC
mpssh-1.3.3-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mpssh-1.3.3-2.el5

Comment 16 Fedora Update System 2015-07-16 23:43:46 UTC
mpssh-1.3.3-2.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 17 Fedora Update System 2015-08-02 19:29:48 UTC
mpssh-1.3.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 18 Fedora Update System 2015-08-02 19:29:53 UTC
mpssh-1.3.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 19 Fedora Update System 2015-08-02 19:30:03 UTC
mpssh-1.3.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 20 Fedora Update System 2015-08-03 04:27:38 UTC
mpssh-1.3.3-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 21 Fedora Update System 2015-08-03 04:29:45 UTC
mpssh-1.3.3-2.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.